/*!
 * docor
 * Copyright(c) 2018 Douglas Chen <dougpuob@gmail.com>
 * MIT Licensed
 */
'use strict';


/**
 * Module dependencies.
 * @public
 */
const DocorSetting   = require('./lib/docor-setting');
const Docor          = require('./lib/docor');
const DocorLibrary   = require('./lib/docor-library');
const DocorModule    = require('./lib/docor-module');
const DocorSubModule = require('./lib/docor-submodule');
const DocorFunction  = require('./lib/docor-function');
const DocorParameter = require('./lib/docor-parameter');
const DocorVariable  = require('./lib/docor-variable');


/**
 * Expose classes`.
 */
module.exports = {
    Docor,
    DocorSetting,
    DocorLibrary,
    DocorModule,
    DocorSubModule,
    DocorFunction,
    DocorParameter,
    DocorVariable
};

