# README (node-docor)



## Installation

Integrate information with JSDoc(`node-pajsdoc`) with AST(`node-castjson`).

`npm install node-docor`



## Quick Start

``` javascript
const Docer = require('node-docor');

let docer = new Docer('test/docor.ini');
let bStatus = docer.parse();
if (bStatus) {
    console.log(docer.libraryList);
}
```


## Example



## Test

``` javascript
$ mocha

  Docer class
    - Docer()
      √ should return true
    - _findModuleFiles()
      √ should return true
    - _parseAstToJson()
      √ should return true (273ms)
    - _collect()
      √ should return true (439ms)
    - _classify()
      √ should return true (436ms)
    - parse()
      √ should return true (432ms)

  6 passing (2s)
```


## Resource

1. **node-gendoc** `https://github.com/dougpuob/node-gendoc.git`


## License

MIT



